StableOps
API 参考

取消支付订单

取消仍处于创建状态的 StableOps 支付订单并释放分配地址,保留取消记录;已检测到入账的订单不能直接取消。商户应在服务端保管密钥,按接口要求使用稳定幂等键,并以查询结果和验签后的事件核对状态。生产履约建议等待最终确认,不能仅凭页面跳转认定支付成功。

POST/v1/payment-orders/{id}/cancel

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your API key from the dashboard.

In: header

Path Parameters

id*unknown

Payment order id.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/payment-orders/{id}/cancel"
{
  "id": "string",
  "merchant_order_id": "string",
  "amount": "string",
  "requested_amount": "string",
  "chain_amount": "string",
  "settlement_asset": "USDC",
  "status": "created",
  "expires_at": "2019-08-24T14:15:22Z",
  "metadata": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "accepted_assets": [
    {
      "chain": "ethereum",
      "asset": "USDC"
    }
  ],
  "payment_instructions": [
    {
      "chain": "ethereum",
      "asset": "USDC",
      "address": "string"
    }
  ]
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}

这篇文档怎么样?

最后更新